<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.system.mapper.TRVerifyCommonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.system.entity.TRVerifyCommon">
        <id column="VERIFYCOMMONID" property="verifycommonid" />
        <result column="USERID" property="userid" />
        <result column="COMMONLANGUAGE" property="commonlanguage" />
        <result column="TAG" property="tag" />
        <result column="MODULE" property="module" />
        <result column="DSTATE" property="dstate" />
        <result column="CREATETIME" property="createtime" />
        <result column="LAUPTIME" property="lauptime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        VERIFYCOMMONID, USERID, COMMONLANGUAGE, TAG, MODULE, DSTATE, CREATETIME, LAUPTIME
    </sql>

    <select id="searchTRVerifyCommonByPage" resultMap="BaseResultMap">
        select  <include refid="Base_Column_List"/> from trverifycommon where USERID = #{primaryKey} and DSTATE = '0'
    </select>

    <delete id="deletaBycommonId" >
        update trverifycommon set DSTATE = '1' where verifycommonid = #{verifycommonid}
    </delete>

</mapper>
